After Updating or Installing Wordpress 2.8, Plugins won't Install


What Error Do You Receive When Trying to Install Plugin?



{WANT TO MAKE GREAT AND KILLER WEBSITES USING WORDPRESS, WP 2.8, THEN CLICK AND FOLLOW GUIDE HERE }



I setup a new site this weekend, and decided to use Wordpress 2.8 as the front end for the site. The site consists of a bunch of minisites so I needed a way to connect them all together on the home page of the site.



Wordpress seemed like the logical choice for this sort of thing. So I used the Fantastico control panel to install the latest version of Wordpress 2.8. Everything went smooth and in a few minutes the blog was installed.



Then I proceed to customize the settings in Wordpress 2.8 and proceeded to install a plugin or two. One of the first plugins I always install is the All in One SEO
Pack.




I went into the plugins section, choose Add New, and found the plugin. When I clicked on Install the following error message appeared:"Incompatible archive PCLZIP_ERR_BAD_FORMAT (-10) : Invalid archive structure"
google_protectAndRun("render_ads.js::google_render_ad", google_handleError, google_render_ad);




Thinking that this was a problem with this plugin, I found 3 more to install and was greeted by the same or a similar message each time I tried to install them. There appeared to be a problem with the installation of Wordpress 2.8.



In fact, after some research I discovered the problem was with a file called http.php.



Steps to Correct Plugin Upload Problem in Wordpress 2.8


Follow the steps below to fix the problem with not being able to install plugins.


1) Download the following file to your desktop. Just right-click on the link below and choose Save As to save to your desktop
New Version of http.php for Wordpress 2.8




2) Once the file has been saved, open your FTP program and log into your site




3) Transfer the file http.php into your WP-Includes subdirectory in Wordpress.



I used a free ftp program called FTP Commander to transfer the file into the wp-includes subdirectory. Then I closed the FTP program




4) Now log back into your Wordpress Control Panel and try to install a new plugin. This simple fix worked for me.



NOTE: Not all Wordpress 2.8 installations are experiencing this problem, however for the ones that do have an issue, this fix worked and the ability to download and install plugins was restored.


WANT TO MAKE GREAT AND KILLER WEBSITES USING WORDPRESS, WP 2.8, THEN CLICK AND FOLLOW GUIDE HERE




Post a Comment

COMPUTER-SOFTWARES HELP CENTER